Subject: Re: bug#60559: 29.0.60; "Cannot activate tree-sitter" spam

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Jan 2023 15:24:01 +0200

> From: Eric Gillespie <[email-masked]>
> Date: Thu, 05 Jan 2023 08:59:00 -0600
> Cc: [email-masked], [email-masked],
>  Juri Linkov <[email-masked]>
> 
> All this discussion has been interesting, but it seems to me it
> is mostly focused on a world where not only tree-sitter is
> common, but all those grammar libraries are as well!
> 
> I think very few emacs users in 2023 live in that world.
> 
> If emacs was configured with tree-sitter, it seems productive to
> warn the user when tree-sitter grammars are missing.  It seems
> likely that user intended to have tree-sitter.
> 
> When emacs is NOT configured with tree-sitter, it seems
> counter-productive to warn about missing tree-sitter.
> 
> I even pass --without-tree-sitter to configure now.  It seems
> particularly surprising to me that I explicitly tell emacs "don't
> use tree-sitter" and then it immediately starts complaining to me
> that it doesn't have tree-sitter.

This annoyance should now be fixed on the emacs-29 branch, and I'm
therefore closing this bug (and the two others that were merged to
it).